head	1.2;
access;
symbols
	RELEASE_7_4_0:1.1
	RELEASE_8_2_0:1.1
	RELEASE_6_EOL:1.1
	RELEASE_8_1_0:1.1
	RELEASE_7_3_0:1.1
	RELEASE_8_0_0:1.1
	RELEASE_7_2_0:1.1
	RELEASE_7_1_0:1.1
	RELEASE_6_4_0:1.1
	RELEASE_5_EOL:1.1
	RELEASE_7_0_0:1.1
	RELEASE_6_3_0:1.1
	PRE_XORG_7:1.1
	RELEASE_4_EOL:1.1
	RELEASE_6_2_0:1.1
	RELEASE_6_1_0:1.1
	RELEASE_5_5_0:1.1
	RELEASE_6_0_0:1.1
	RELEASE_5_4_0:1.1
	RELEASE_4_11_0:1.1
	RELEASE_5_3_0:1.1
	RELEASE_4_10_0:1.1
	RELEASE_5_2_1:1.1
	RELEASE_5_2_0:1.1
	RELEASE_4_9_0:1.1
	RELEASE_5_1_0:1.1
	RELEASE_4_8_0:1.1;
locks; strict;
comment	@# @;


1.2
date	2011.09.01.06.47.44;	author bapt;	state dead;
branches;
next	1.1;

1.1
date	2003.01.03.06.26.57;	author ijliao;	state Exp;
branches;
next	;


desc
@@


1.2
log
@2011-09-01 astro/gkrellmoon: Abandonware
2011-09-01 astro/spacechart: Abandonware
2011-09-01 audio/adpcm: No more public distfiles
2011-09-01 audio/aube: Abandonware
2011-09-01 audio/festvox-aec: BROKEN for more than 6 month
2011-09-01 audio/gtkgep: Abandonware
2011-09-01 audio/gtkhirad: No more public distfiles
2011-09-01 audio/opmixer: No more upstream
2011-09-01 audio/swami: Abandonware
2011-09-01 audio/x11amp: Abandonware
2011-09-01 audio/xmms-sndstretch: No Master Site
2011-09-01 cad/linux-gid: No more public distfiles
2011-09-01 chinese/gbscript: No more public distfiles
2011-09-01 chinese/mplayer-fonts: No more public distfiles
2011-09-01 chinese/oxford: No more public distfiles
2011-09-01 chinese/vflib: No more public distfiles
2011-09-01 databases/mysql++: No more public distfiles
2011-09-01 databases/mysql_last_value: No Master Site
2011-09-01 databases/p5-DBIx-Table: No more public distfiles
@
text
@--- runme-dbcs.orig	Fri Dec  6 03:42:53 2002
+++ runme-dbcs	Fri Dec  6 03:47:10 2002
@@@@ -0,0 +1,85 @@@@
+#!/bin/sh
+
+# Font Generator script by statue@@freebsd.sinica.edu.tw
+
+if [ -z $1 ]; then
+  echo "$0: too few parameters"
+  echo "$0: Usage: $0 <BASENAME> <fontsize> <encode>"
+  exit
+fi
+
+if [ ! -r $1.ttf ]; then
+  echo "runme-dbcs: input font file $1.ttf not readable"
+  exit
+fi
+
+subfont_exec=subfont
+#unicode="--unicode"
+#BASENAME="bsmi00lp"
+BASENAME=$1
+SBFONT="arial.ttf"
+#DBFONT="bsmi00lp.ttf"
+DBFONT="$1.ttf"
+SBENC="iso-8859-1"
+DBENC="encodings/$3"
+if [ ! -r $DBENC ]; then
+  echo "runme-dbcs: encodings file $DBENC not readable"
+  exit
+fi
+
+#fontsize=16
+fontsize=$2
+if [ $fontsize = 16 ]; then
+  symbolssize=24
+  blur=0.1
+  outline=1
+elif [ $fontsize = 24 ]; then
+  symbolssize=35
+  blur=2
+  outline=1.5
+else
+  echo "runme-dbcs: input fontsize $fontsize not avaiable"
+  exit
+fi
+
+outdir="--outdir ${BASENAME}${fontsize}"
+if [ ! -e "${BASENAME}${fontsize}" ]; then
+  mkdir -p ${BASENAME}${fontsize}
+fi
+
+if [ ! -x $subfont_exec ]; then
+    echo "runme-dbcs: '$subfont_exec' not found or not executable!"
+    echo "runme-dbcs: trying to compile"
+    make || exit
+    if [ ! -x $subfont_exec ]; then
+        echo "failed"
+        exit
+    fi
+fi
+
+## add single-byte characters (eg, english) first
+echo "runme-dbcs: creating single-byte characters font..."
+./$subfont_exec $outdir $unicode --blur $blur --outline $outline "$SBENC" $fontsize "$SBFONT" || exit
+
+#=======================================================================
+# directory for storing temporary splitted encoding files
+ENCDIR="$BASENAME"
+if [ ! -e "$ENCDIR" ]; then
+  echo "runme-dbcs: split encoding files into smaller parts."
+  mkdir "$ENCDIR"
+  split -l 1024 "$DBENC" "$ENCDIR/$BASENAME"
+fi
+
+## add double-byte characters (eg, chinese)
+# having all characters in one big .raw file does not work.
+# so have to split encoding files into smaller parts.
+echo "runme-dbcs: creating double-byte characters font..."
+for encoding in "$ENCDIR/$BASENAME"*; do
+  ./$subfont_exec $outdir --append $unicode --blur $blur --outline $outline "$encoding" $fontsize "$DBFONT" || exit
+done
+
+## finally add OSD font
+echo "runme-dbcs: creating osd symbols..."
+./$subfont_exec $outdir --append --blur $blur --outline $outline encodings/osd-mplayer $symbolssize osd/osd.pfb || exit
+
+exit
@


1.1
log
@- generate fonts from chinese/arphicttf and x11-fonts/webfonts
- change categories from graphics to multimedia
- remove unused master sites

PR:		46018
Submitted by:	maintainer
@
text
@@

